package com.dayou.service;
import com.dayou.entity.AssetsValueType;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 价值类型表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-04-07
 */
public interface IAssetsValueTypeService extends IService<AssetsValueType> {

        /**
         * 获取所有资产价值类型
         * @return List<AssetsValueType>
         */
        List<AssetsValueType> getAssetsValueType();

        Page<AssetsValueType> selectPage(Page page,AssetsValueType assetsValueType);

        AssetsValueType detail(Long id);

        Boolean add(AssetsValueType assetsValueType);

        Boolean update(AssetsValueType assetsValueType);

        Boolean delete(Long id);

}
